diff -Naur Doomsday Data Files.old/ai/eng_1939.ai Doomsday Data Files/ai/eng_1939.ai
--- Doomsday Data Files.old/ai/eng_1939.ai	2008-12-01 19:17:14.000000000 +0100
+++ Doomsday Data Files/ai/eng_1939.ai	2008-12-01 21:31:17.000000000 +0100
@@ -1,26 +1,28 @@
-# England 1936 AI File by Lothos
+# reworked by Spocky for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
 
 switch = no # [yes/no]
-max_front_ratio = 1.2 
+max_front_ratio = 2.0
 max_garrison_prop = 0.30
 min_garrison_prop = 0.20
 neutrality = 80.000 
 war = 1
-strat_redeploy_threshold = 50
-max_redeploying = 0.05
-exp_force_ratio = 0.05
+strat_redeploy_threshold = 88
+exp_force_ratio = 0.10
 exp_force_ratios = {
-	FRA = 1.0
+	FRA = 0.2
+	GRE = 0.1
+	NOR = 0.1
 } 
-no_exp_forces_to = { NOR POL DEN CZE }
-evac_islands = no
+
 
 ###################################
 # Diplomacy
 ###################################
 combat = { }
 
-claim_acceptance = -49
+claim_acceptance = -20
 
 befriend = {
 	VEN = 50
@@ -29,10 +31,8 @@
 	HOL = 70
 	SPR = 40 
 	POL = 80 
-	AUS = 30
 	CZE = 40
 	TUR = 10 
-	IRQ = 20
 	PER = 20
 	POR = 20
 	CHI = 20
@@ -45,24 +45,16 @@
 	BEL = 150
 	HOL = 150
 	SPR = 20
-	POL = 120 
-	CZE = 10
+	POL = 250 
+	CZE = 250
 	TUR = 50 
 	IRQ = 10
 	PER = 10
 	POR = 10
 	CHI = 10
 }
-target = {
-	#Japan 
-	1184 = 100 # Tokyo
-	
-	#Germany
-	300 = 100 # Berlin
-} 
+target = { } 
 trade = {
-	cancel_deal_threshold = 2
-
 	energy 		= -1
 	rare_materials 	= -1
 	metal 		= -1
@@ -77,7 +69,6 @@
 		AST = 100
 		NZL = 100
 		USA = 100
-		SAF = 100
 		BEL = 90
 		HOL = 90
 		SPR = 30
@@ -89,7 +80,9 @@
 		POR = 10
 		CHI = 10
 	}
-	embargo = { }
+	embargo = {
+		GER ITA JAP SLO HUN
+	}
 }
 tech_sharing = {
 	favored = {
@@ -98,7 +91,6 @@
 		AST = 100
 		NZL = 100
 		USA = 100
-		SAF = 100
 		BEL = 90
 		HOL = 90
 		SPR = 30
@@ -114,394 +106,218 @@
 		GER ITA JAP SLO HUN
 	}
 	not = { }
-	prioritized = {
-		# Arcriculture
-		5020 = 100
-		5030 = 100
-		5040 = 100
-
-		# Inf support
-		1310 = 100
-		1320 = 100
-		1330 = 100
-		1340 = 100
-		1350 = 100
-		1360 = 100
-
-		# Production
-		5050 = 100
-		5060 = 100
-		5070 = 100
-		5080 = 100
-		5090 = 100
-		5100 = 100
-		5110 = 100
-		5120 = 100
-		5130 = 100
-		5150 = 100
-		5180 = 100
-
-		# Naval Bomber
-		4190 = 100
-		4200 = 100
-		4210 = 100
-
-		# motorized
-		1230 = 100
-		1240 = 100
-		1250 = 100
-
-		# Medium tanks
-		2070 = 100
-		2080 = 100
-		2090 = 100
-
-		# Light tanks
-		2020 = 100
-		2030 = 100
-		2040 = 100
-		2050 = 100
-		2060 = 100
-
-		# Strategic bombers
-		4220 = 100
-		4230 = 100
-		4240 = 100
-	}
-}
-###################################
-# Spying
-###################################
-spyprefs =
-{
-	percentage_on_spies 		= 0.2
-	percentage_foreign_mission 	= 0.7
-
-	# Used for Homeland Defense Spying
-	spyprefsdata = 
-	{
-		NumberOfSpies = 5
-		counter_espionage =  10
-		country = ENG
-	}
-	# Defaul Spy parms used for countries the AI is atwar with but has no specific entry
-	spyprefsdata = {
-		country_priorities	= 3
-		NumberOfSpies		= 3
-		min_number_of_spies = 1
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 3
-		coup 				= 4
-		sabotage_industry 	= 5
-		nuclear_sabotage 	= 0
-		found_partisans 	= 0
-		massmedia 			= 3
-		counter_espionage 	= 5
-		disrupt_techteam	= 5
-		country 			= NONE
-	}
-	spyprefsdata = {
-		country_priorities	= 10
-		NumberOfSpies		= 10
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 3
-		coup 				= 1
-		sabotage_industry 	= 6
-		nuclear_sabotage 	= 0
-		found_partisans		= 4
-		massmedia 			= 2
-		counter_espionage 	= 6
-		disrupt_techteam 	= 5
-		country 			= GER
-	}
-	spyprefsdata = {
-		country_priorities	= 6
-		NumberOfSpies		= 5
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 3
-		coup 				= 1
-		sabotage_industry 	= 6
-		nuclear_sabotage 	= 0
-		found_partisans		= 4
-		massmedia 			= 2
-		counter_espionage 	= 6
-		disrupt_techteam 	= 5
-		country 			= ITA
-	}
-	spyprefsdata = {
-		country_priorities	= 6
-		NumberOfSpies		= 5
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 0
-		smear_campaign 		= 3
-		coup 				= 1
-		sabotage_industry 	= 0
-		nuclear_sabotage 	= 0
-		found_partisans		= 4
-		massmedia 			= 2
-		counter_espionage 	= 6
-		disrupt_techteam 	= 5
-		country 			= SOV
-	}
-	spyprefsdata = {
-		country_priorities	= 3
-		NumberOfSpies		= 3
-		min_number_of_spies = 1
-		steal_blueprint 	= 10
-		minister_assassination = 0
-		smear_campaign 		= 1
-		coup 				= 2
-		sabotage_industry 	= 0
-		nuclear_sabotage 	= 0
-		found_partisans		= 4
-		massmedia 			= 1
-		counter_espionage 	= 6
-		disrupt_techteam 	= 5
-		country 			= SPA
-	}
+	prioritized = {	}
 }
+
 ###################################
 # Construction and Tech Research
 ###################################
 #Default values
 construction = { 
-	max_factor = 0.150 
+	max_factor = 1.000
 
 	AA_batteries = no
-	max_AA_level = 10 
+	max_AA_level = 5
 	AA_provs = { } 
 
 	coastal_fort = no
-	max_coastal_level = 3
-	coastal_fort_provs = { } 
+	max_coastal_level = 2
+	coastal_fort_provs = {
+		20 # Dover 
+		17 # Norwich
+		21 # Portsmouth
+		23 # Plymouth
+
+		31  # Malta
+	} 
 
-	radar_station = atwar
-	max_radar = 5 
-	radar_provs = { 17 20 21 23 } 
+	radar_station = no
+	max_radar = 1 
+	radar_provs = {
 
-	air_base = yes
-	max_air_base = 5 
+	} 
+
+	air_base = no
+	max_air_base = 1
 	air_base_provs = { } 
 
 	naval_base = no 
-	max_naval_base = 5 
+	max_naval_base = 1 
 	naval_base_provs = { } 
 
-	land_fort = no
-	max_land_level = 10
-	fort_borders = { } 
 
 	ic_at_war = no
 	force_ic_until = 1938
-	ic_end_year = 1940
+	ic_end_year = 1938
 	IC_provs = { 3 5 6 7 8 10 28 29	} 
 }
 military = { 
-	relative_build_scheme 	= no
-	max_batch_peace 	= 360 
+	relative_build_scheme 	= no 
+	max_batch_peace 	= 180
 	max_batch_war 		= 180 
 	max_batch_home_front 	= 180
 
 	#### Divisions etc...
-	infantry 		= 14
-	cavalry 		= 0
-	motorized 		= 6
-	mechanized 		= 0
+	infantry 	= 20
+	cavalry 	= 0
+	motorized 	= 0
+	mechanized 	= 0
 	light_armor 	= 0
-	armor 			= 6
+	armor 		= 15
 	paratrooper 	= 0
-	marine 			= 1
+	marine 		= 0
 	bergsjaeger 	= 0
-	garrison		= 2
-    hq 				= 4
-	militia 		= 0
-#				34 %
-	interceptor 	= 4
-	multi_role 		= 1
-	cas 			= 0
-	strategic_bomber = 1
-	tactical_bomber = 4
-	naval_bomber 	= 2
+	garrison	= 0
+      	hq 		= 5
+	militia 	= 0
+#				40 %
+	interceptor 	= 6
+	multi_role 	= 0
+	cas 		= 0
+	strategic_bomber= 0
+	tactical_bomber = 10
+	naval_bomber 	= 0
 	transport_plane = 0
 	flying_bomb 	= 0
 	flying_rocket 	= 0
-#				12 %
-	battleship 		= 6
-	carrier 		= 5
-	escort_carrier	= 1
-	destroyer 		= 17
-	light_cruiser 	= 15
-	heavy_cruiser 	= 0
+#				16 %
+	battleship 	= 5
+	carrier 	= 5
+	escort_carrier	= 0
+	destroyer 	= 15
+	light_cruiser 	= 5
+	heavy_cruiser 	= 2
 	battlecruiser 	= 0
-	submarine 		= 5
-	nuclear_submarine = 0
-	transports 		= 5
-#				54 %
+	submarine 	= 0
+	transports 	= 12
+#				44 %
 
 	#### Brigades
-	artillery 			= 15
-	sp_artillery 		= 9
+	artillery 		= 20
+	sp_artillery 		= 0
 	rocket_artillery	= 0 
 	sp_rct_artillery 	= 0
-	anti_tank 			= 13
-	tank_destroyer 		= 8
-	light_armor_brigade = 6
-	heavy_armor 		= 5
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 15
 	super_heavy_armor 	= 0
-	armored_car 		= 0
-	anti_air 			= 7
-	police 				= 2	
-	engineer 			= 6 
-	
+	armored_car 		= 15
+	anti_air 		= 0
+	police 			= 0	
+	engineer 		= 10
+
 	cag = 100.000 
 }
-
-technology = { 
+technology = {
 	endgoal 	= { } 
-	preference 	= {
-		# Tools
-		5050 5060 5070
-
-		# Engineering
-		5080 5090 5100
-		
-		# Production Control
-		5110 5120
-		
-		# Assembly Line
-		5130 5140 5150 5160 5180
-		
-		# Cryptography
-		5310 5320 5330 5340
-		
-		# Special Weapons
-		7140 7150 7160
-
-		#Infantry
-		1010 1020 1030 1040 1050 1060
-
-		# Inf support
-		1310 1320 1330 1340 1350 1360
-
-		# Naval Bomber
-		4190 4200 4210
-
-		# motorized
-		1230 1240 1250
-
-		# Medium tanks
-		2070 2080 2090
-
-		# Light tanks
-		2020 2030 2040 2050 2060
-
-		# Strategic bombers
-		4220 4230 4240
-		
-		# Naval Doctrines
-		8200 8250 8140 8260
-
-		# Land Doctrines
-		6170
-
-		# Air Doctrines
-		9040 9050 9060 9070 9080 9090 9100 9110 9120 9130 9190 9210 9220 9230 9240 9250 9350
-	} 
-	ignore 		= {
-		# Rocket Assembly
-		5170
-
-		# Battle Cruiser
-		3190 3200 3210 3220 3230 3240
-
-		# Battleship 3250 3260 3270
-		3280 3290 3300 3310
-
-		# CAS
-		4170 4280 4180
-
-		# Mountain Unit techs
-		1110 1120 1130 1140
-
-		# Marines 1150 1160
-		1170 1180
-
-		# Atomic Research
-		5470 5480 5490 5500 5510 5520 5530 5540
-
-		# Rocketry
-		5550 5560 5570 5580 5590
-
-		# Airborne 1070 1080 1090
-		1100
-
-		# Air Transports 4250
-		4260 4270
-
-		# Mechanized
-		1260 1270 1280 1290
-
-		# SP Rocket Artillery
-		2260 2270 2280 
-
-		# Rocket Artillery
-		2370 2380 2390
-
-		# Armoured Cars
-		2150 2160
-
-		# CAS Air Doctrines 9040
-		9050 9060 9070 9080 9270 9280 9290 9300
-	}
-	
+	preference 	= { 
+			# inf
+			1310 1320 1330 1340 1350 1360 # supply 
+			1010 1020 1030 1040 1050 1060 # inf 
+			 
+			# tank & ARI 
+			2150 2160 # AC 
+			2290 2300 2310 2320 2340 2350 2360 # ARI 
+			2100 2110 2120 # heavy tanks 
+			 
+			# navy 
+			3010 3020 3030 3040 3050 3060 # destroyer
+			3320 3330 3340 3350 3360 3370 # carrier 
+			 
+			# industry 
+			5010 5020 5030 5040 #  agriculture 
+			5050 5060 5070 5080 5090 5100 5110 5120 5130 # industry 
+			5140 5150 5160 5180 # assembly lines 
+			 
+			# land docs 
+			6110 6120 6130 6140 6150 6180 
+			 
+			# nav docs 
+			#8200  8130
+			} 
+	ignore 		= { 
+			#Inf
+			1080 1090 1100 # Para
+			 
+			#ARI & Tank	
+			2130 # super heavy
+			2260 2270 2280 # SP Rock
+			2370 2380 2390 # rock
+			2470 2480 2490  # AA
+			2170 2180 2190 2200 2210 # SP AT 
+			 
+			#Mavy 
+			3190 3200 3210 3220 3230 #BC
+			3310 # SH BB
+			3430 3450 # sub 
+			 
+			#Plane 
+			4070 4040 4100 # Fighter
+			4170 4280 4180 # cas 
+			4260 4270 # Transport
+ 
+			#industry 
+			5550 5560 5570 5580 5590 # rocket
+			5190 5200 5210 5220 5230 # oil 
+			5470 5480 5490 5500 5510 5520 5530 5540 # nuclear 
+			5170 # rocket assembly 
+			 
+			# landdocs 
+			6160 6170 6190 6200 			 
+			# airdocs
+			9050 9060 9070 9080
+			9270 9280 9290 9300
+			9140 9150 9160 9170 9180 
+			9430 9440 9450 9460 
+			9230 9240 9250 9260 
+			9390 9400 9410 9420 
+		}
+ 
 	armor 		= 5 
 	infantry 	= 6
 	industry 	= 5
-	aircraft 	= 6
+	aircraft 	= 5
 	naval 		= 4
-	land_doctrines 	= 1
+	land_doctrines 	= 2
 	secret_weapons 	= 1
-	air_doctrines 	= 1
-	naval_doctrines = 1
+	air_doctrines 	= 2
+	naval_doctrines = 2
 }  
+
 ###################################
 # Ground Combat, Leaders and Garrisons
 ###################################
 leader_ratio = {
-	land_field_marshal 	=0.02
-	land_general 		=0.031
-	land_lt_general 	=0.41
-
-	sea_grand_admiral 	=0.02
-	sea_admiral 		=0.061
-	sea_vice_admiral 	=0.401
-
-	air_marshal 		=0.02
-	air_general 		=0.091
-	air_lt_General 		=0.11
+	land_field_marshal	= 0.056 # = 1/18
+	land_general		= 0.074 # = 1/13.5
+	land_lt_general		= 0.333 # = 1/3
+
+	sea_grand_admiral	= 0.033 # = 1/30
+	sea_admiral		= 0.056 # = 1/18
+	sea_vice_admiral	= 0.083 # = 1/12
+
+	air_marshal		= 0.063 # = 1/16
+	air_general		= 0.125 # = 1/8
+	air_lt_General		= 0.250 # = 1/4
 }
+
 garrison = {
 	defend_overseas_beaches = yes
-	home_multiplier 	= 1.0
-	overseas_multiplier 	= 0.5
-	home_peace_cap 		= 20
-	war_zone_odds 		= 1.5
+	home_multiplier 	= 4.0
+	overseas_multiplier 	= 0.8
+	home_peace_cap 		= 21
+	war_zone_odds 		= 2.0
 	key_point_prio_mult	= 1.0
-	revolt_risk_mult	= 0.4
+	revolt_risk_mult	= 1.0
 
 	# PRIORITIES:
-	beach			= 20	# Beach level 2
-	capital			= 40	# Our capital
-	human_border		= 0	# Ignored for allied human players
-	war_target		= 50	# The next country targeted for attack by this AI
+	beach			= 100	# Beach level 2
+	capital			= 150	# Our capital
+	human_border		= 100	# Ignored for allied human players
+	war_target		= 150	# The next country targeted for attack by this AI
 	
-	opposing_alliance	= 30	# For neutrals, all alliances are "opposing"
+	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
 	claim_threat		= 0	# If we are neutral, countries with claims on us get this
 	unstable_border		= 0	# Bordering countries at war with someone else get this
 
@@ -510,11 +326,10 @@
 		BEL = -1
 		HOL = -1
 		LUX = -1
-		GER = 50
-		SPA = 5
+		GER = 200
+		SPA = 20
 		SPR = -1
-		ITA = 30
-		ETH = -1
+		ITA = 200
 		SCH = -1
 		FRA = -1
 		CAN = -1
@@ -523,85 +338,32 @@
 		POR = -1
 		CYN = -1
 		TUR = -1
+################################
+		PAK = -1
+		CHI = -1
+		SIK = -1
+		NEP = -1
+		SIA = -1
+		BHU = -1
+
 	}
-	ignore = {
-		#Libya
-		918   #Forte Maddalens
-		926   #Al Jaghbun
-		927   #Aujila
-		1017  #Calanslo
-		1018  #Kufra
-		1016  #Murzuk
-		1015  #Ghat
-		931   #Ghadames
-		928   #Sorno
-		
-		#Egypt/East Africa
-		1020  #Siwa
-		1019  #Great Sand Sea
-		907   #Qattara
-		1021  #AinDalla
-		1022  #Western Desert
-		1067  #El Atiun
-		1068  #El Obeid
-		1069  #Waw
-		1065  #Malakal
-		1032  #Omdurman
-		1041  #Gallabal
-		1040  #Kassala
-		1059  #Marsabit
-
-		#Ethiopia
-		1039  #Asmara
-		1048  #Adwa
-		1042  #Gonder
-		1044  #Debre
-		1045  #Gambela
-		1047  #Jima
-		1053  #Moyale
-		1049  #Denakil
-		1043  #Dese
-		1050  #Diredawa
-		1054  #Ogaden
-		1055  #Bardera
-
-		#Belgian Congo
-		1071  #Stanleyville
-		1072  #Buta
-		1073  #Costermanville
-		1074  #Coquihatville
-		1144  #Abertville
-		1143  #Kindu-Port-Empain
-		1142  #Leopoldville
-	}
-	province_priorities = {
-		348 = 30 # Gibraltar
-		31  = 30 # Malta
-		906 = 30 # Alexandria
-
-		# England Coast
-		20 = 30 # Dover
-		17 = 30 # Norwich
-		21 = 30 # Portsmouth
-		23 = 30 # Plymouth
-		12 = 30 # Blackpool
-		13 = 30 # Sheifield
-		14 = 30 # Liverpool
-		22 = 30 # Bristol
-		11 = 30 # Sunderland
-		10 = 30 # Edinburgh
-		9 = 30 # Glasgow
-		5 = 30 # Scap Flow
-	}
+
 	area_multiplier = {
-		348 = 2.0 # Gibraltar
-		31  = 2.0 # Malta
-		906 = 1.5 # Alexandria
-		19  = 0.2 # London
+
+		19  = 10.0 # London
+		28  = 1.2 # Belfast
+		839 = 10.0 # Alexandria
+		900 = 5.0 # Suez
+		1452 = 0.5 # calcutta
+		1798 = 1.5 #
+
 	}
+
+
 }
+
 front = { 
-	recklessness 		= 1 # 0-3
+	recklessness 		= 2 # 0-3
 	distrib_vs_ai 		= even
 	distrib_vs_human 	= even
 
@@ -609,204 +371,158 @@
 	reserve_prop		= 0.1
 	panic_ratio_vs_ai	= 2.5
 	panic_ratio_vs_human	= 2.5
-	base_attack_odds	= 1.3
-	min_attack_odds		= 1.1
+	base_attack_odds	= 1.75
+	min_attack_odds		= 1.5
 	max_attack_odds		= 3.0
-	reinforce_odds		= 1.3
-	withdraw_odds		= 0.6
+	reinforce_odds		= 1.333
+	withdraw_odds		= 0.9
 
 	strength 	= 1.0
-	organisation 	= 1.0
+	organisation 	= 2.0
 	soft_attack 	= 1.0
-	hard_attack 	= 1.0
+	hard_attack 	= 2.0
 	ground_defense 	= 1.0
-	dig_in 		= 1.0 # Against defender
-
-	frozen_attack 	= 1.0
-	snow_attack 	= 1.0
-	blizzard_attack = 1.0
-	storm_attack 	= 1.0
-	muddy_attack 	= 1.0
-
-	
-	
-	occupied 	= 0.7
-	owned 		= 0.7
-
-	jungle_attack 	= 1.0
-	mountain_attack = 1.0
-	swamp_attack 	= 1.0
-	forest_attack 	= 1.0
-	hill_attack 	= 1.0
-	urban_attack 	= 1.0
-	river 		= 1.0
+	dig_in 		= 1.25 # Against defender
 
       	enemy_handicap = { } 
       	passivity = { } 
 } 
-###################################
-# Air bombardment and defense
-###################################
-# Air AI File For Ground Bombings as priority
-# bomber is now obsolete and NOT USED AT ALL replace and use Air Marshal instead
 
-air_marshal = {
-	min_mission_strength_org	= 0.8
-	icxdayscostfactor 			= 10.0		# How to value true industrial cost when calculating expect causalties
-	manpowercostfactor			= 100.0		# How to value manpower cost when calculating expect causalties
-	destructionriskthreashold 	= 0.2		# when to fear a divisiopn might be destroyed
-
-	# desirability is a multiplier used when calcualting the mission desirability
-	airsuperioritydesirability 		= 30.0
-	groundattackdesirability 		= 40.0
-	inderdictiondesirability 		= 20.0
-	logisticalstrikedesirability 	= 2.0
-	runwaycrateringdesirability 	= 10.0
-	strategicstrikedesirability 	= 10.0
-	installationstrikedesirability 	= 5.0
-	navalstrikedesirability 		= 15.0
-	portstrikedesirability 			= 9.0
-	convoyraiddesirability			= 9.0
-
-	# tolerance is the required kill:loss ration expected to do 
-	#    mission, 2.0 accept twice the losses of your enemy, 0.5 accept half
-	airsuperioritylosstolerance 	= 1.0
-	groundattacklosstolerance 		= 1.0
-	interdictionlosstolerance 		= 2.0
-	logisticalstrikelosstolerance 	= 0.5
-	runwaycrateringlosstolerance 	= 1.5
-	strategicstriketolerance 		= 4.5
-	installationstriketolerance 	= 1.5
-	navalstriketolerance 			= 1.0
-	portstriketolerance 			= 1.0
-	convoyraidtolerance				= 1.0
-
-	# efficency is a tweakable param to adjust according to how 
-	#    much actual damage comes from doing this mission (not to be confused with desirability)
-	logisticalstrikeefficency 	= 0.01
-	runwaycrateringefficency 	= 0.01
-	strategicstrikeefficency 	= 0.01
-	installationstrikeefficency = 0.01
-
-	taskforcetype = { name = "Air Superiority" desiredratio = 0.400 rangeweight = 10.000 airkillpowerweight = 2000.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = -1.000 surfacevulnurabilityweight = 0.000 idle = yes reorganize = yes air_superiority = yes } 
-	taskforcetype = { name = "Soft Bombing" desiredratio = 0.250 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 2000.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes interdiction = yes ground_attack = yes } 
-	taskforcetype = { name = "Hard Bombing" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 2000.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes interdiction = yes ground_attack = yes } 
-	taskforcetype = { name = "Strategic Bombing" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 2000.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = -0.500 surfacevulnurabilityweight = -0.500 idle = yes reorganize = yes logistical_strike = yes runway_cratering = yes strategic_bombardment = yes installation_strike = yes } 
-	taskforcetype = { name = "Naval Bombing" desiredratio = 0.050 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 2000.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes naval_strike = yes port_strike = yes convoy_air_raiding = yes } 
-	taskforcetype = { name = "Airlift" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = -2000.000 softkillpowerweight = -2000.000 navalkillpowerweight = 0.000 strategickillpowerweight = -2000.000 transportcapacityweight = 1000000.000 airvulnurabilityweight = -1.000 surfacevulnurabilityweight = 0.000 idle = yes reorganize = yes airborne_assault = yes air_supply = yes } 
-}
 ###################################
 # Invasions and Naval
 ###################################
 invasion = {
-	invasion			= yes
- 	base				= 0.1	#Relative modifier. (lower = specific targets much more important.)
-	random				= 8.0	#How big a random range.  (1.0 = 1%)
-	coastal				= 0.1	#increase to avoid coastal forts more.
-	beach				= 0.1	#higher, avoid worst beaches.
-	max_distance   		= 250.0  #About the distance from Japan to Batavia
-	max_staging_distance = 15	# How far should the staging area be from the target invasion point
-	distance			= 0.1	#higher = avoid long distance.
-	pocket				= 20.0	#prioritise pockets, ie provinces with no adjacent controlled by same.
-	island				= 0.1	#prioritise taking pure islands.
-	enemy				= 2.0	#higher = much more vary of troops in province.
-	adjacentenemy 		= 2.0	#higher = much more vary of troops nearby
-	air_base			= 1.5 
-   	naval_base 			= 0.1 
-   	air_support 		= 3.0 
-   	redirect 			= priority
-	ignore				= no
+	invasion	= no
+ 	ignore		= no
       
-	target = {
-		# Baltic States (in case of un-holy alliance)
-		205 = -1 # Marzibe
-		204 = -1 # Gelgava
-		197 = -1 # Riga
-		196 = -1 # Parnu
-		194 = -1 # Tallinn
-		193 = -1 # Narva
-		188 = -1 # Kingiseep
-		187 = -1 # Leningrad
-		145 = -1 # Vipurii
-
-		# German
-		206 = -1 # Memel
-		510 = -1 # Konigsburg
-		304 = -1 # Elbing
-		303 = -1 # Danzig
-		302 = -1 # Setting
-		301 = -1 # Stralsrul
-		296 = -1 # Rostock
-		89  = -1 # Lubeck
-	
-		# Atlantic Wall
-		292 = -1 # Arburg
-		92  = -1 # Arhus
-		91  = -1 # Kolding
-		90  = -1 # Kiel
-		78  = -1 # Leeweden
-		47  = -1 # Amsterdam
-		46  = -1 # Rotterdam
-		45  = -1 # Ghent
-		18  = -1 # Calais
-		43  = -1 # Dunquerque
-		42  = -1 # Dieppe
-		41  = -1 # Le Havre
-		39  = -1 # Caen
-		33  = -1 # Rennes
-		32  = -1 # Brest
-		34  = -1 # Lorient
-		35  = -1 # Nantes
-		59  = -1 # Cholet
-		325 = -1 # Bordeaux
-		326 = -1 # Dax	
-	} 
+	target = { } 
 } 
 admiral = { 
-	min_org					= 100	# NEW: Percent of org gained back before the unit can leave port
-	min_dmg					= 98    # NEW: Percent of dmg gained back before the unit can leave port
-	return_org 				= 60 	# NEW: PERCENT OF ORG LOST BEFORE RETURNING TO PORT applies to all fleets/ships
-	return_dmg 				= 80 	# NEW: PERCENT OF DMG LOST BEFORE RETURNING TO PORT for repairs applies to all fleets/ships
+	min_org		= 100	# NEW: Percent of org gained back before the unit can leave port
+	min_dmg		= 98    # NEW: Percent of dmg gained back before the unit can leave port
+	return_org 	= 60 	# NEW: PERCENT OF ORG LOST BEFORE RETURNING TO PORT applies to all fleets/ships
+	return_dmg 	= 80 	# NEW: PERCENT OF DMG LOST BEFORE RETURNING TO PORT for repairs applies to all fleets/ships
 	min_core_attack_fleets  = 2		# Minimum amount of attack fleets to defend CORE provinces (default 0)
+	num_attack_fleets		= 4 	# ENG/USA default 3, JAP default 2 everyone else is 1
+	base = { 5 21 }
+
+
+target = {
+### home islands
+2395 = 100
+2412 = 100
+2413 = 100
+2414 = 100
+2415 = 100
+2416 = 100
+2417 = 100
+2403 = 100
+2402 = 100
+2400 = 100
+2600 = 100
+2599 = 100
+2598 = 100
+
+}
+core = {2395 2412  2414 2415 2416 2417}
+
+
+
+ignore = {
+# Baltic Sea
+"Bothnian Bay"
+"Northern Baltic"
+"Southern Baltic"
+
+# North Sea
+"Kattegat"
+
+# Caribbean
+"Yucatan Strait"
+"Central Carribean"
+"Windward Islands"
+"West Gulf of Mexico"
+"East Gulf of Mexico"
+"Florida Strait"
+
+# Mediterranean
+"Adriatic Sea"
+"Black Sea"
+
+# Pacific
+"Luzon Strait"
+"Philipine Trench"
+
+"Taiwan Strait"
+"Sea of Japan"
+"North Bismarck Sea"
+"South Bismarck Sea"
+"Marianas"
+"Marshalls Sea"
+"Western Solomons"
+"Eastern Solomons"
+"East Coral Sea"
+"Coast of Japan"
+"Solomon Sea"
+
+"Aleutians"
+"Carolines"
+"Central Philippine Sea"
+"Coast of Kamchatka"
+"East Bering Sea"
+"East Mariana Basin"
+"East Sea of Okhotsk"
+"Gulf of Alaska"
+"Hawaiian Rise"
+"Mariana Trench"
+"Mid-Pacific Mountains"
+"North Northeast Pacific Basin"
+"Northwest Pacific Basin"
+"Ryukyus"
+"South Sea of Okhotsk"
+
+"West Bering Sea"
+
+"West Coast of Mexico"
+"West Coast of the United States"
+"West Sea of Okhotsk"
+"Yellow Sea"
+"Fiji Basin"
+"Gilberts"
+"Line Islands"
+"North East Pacific Ocean"
+"South East Pacific Ocean"
+
+"North Southeast Pacific Ocean"
+"South Southeast Pacific Ocean"
+"Southeast Pacific Basin"
+"Southwest Pacific Basin"
+"West Coast of Central America"
+"West Coast of Chile"
+"West Coast of Peru"
+"Coast of New Guinea"
+
 
-	ignore = {
-		"Southeast Northsea"
-		"kattegat"
-		"Bothnian Bay"
-		"northern baltic"
-		"southern baltic"
-		"Southeast Northsea"
-		"East North Sea"
-		"Norwegian Sea"
-	}
-	#Which provinces to use as bases..
-	base = {
-		17 	# London
-		5	# Scapa Flow
-		14	# Liverpool
-		23	# Plymouth
-		348	# Gibraltar
-		906	# Alexandria
-		1505	# Bombay
-		1353	# Singapore
-		1727	# Sydney
 	}
-	target = { 
-		2396 = 100 
-		2397 = 100 
-		2398 = 100
-	} 
-	core = {
-		2396
-		2397
-		2398
-		2471
-		2402
-		2403
-		2404
-		2405
-		2406
-		2410
-		2411
+
+}
+
+###################################
+# Intelligence
+###################################
+spyprefs = {
+	percentage_on_spies = 0.2
+	percentage_foreign_mission = 0.7
+
+	spyprefsdata = {
+		country_priorities = 10
+		min_number_of_spies = 5
+		NumberOfSpies = 10
+		counter_espionage = 10
+		country = ENG
 	}
-}
\ No newline at end of file
+}
+
+air_marshal = {
+	min_mission_strength_org = 0.7
+}
